import request from '@/utils/request'

// 导出流水账单
export function exportFlowPrice(data) {
  return request({
    url: '/export/exportsaleswaterbills',
    method: 'get',
    params: data
  })
}

// 导出奖励支出(进货奖励)
export function exportRewardPrice(data) {
  return request({
    url: '/export/exportrewardspending',
    method: 'get',
    params: data
  })
}

// 导出业绩奖励
export function exportAchievementPrice(data) {
  return request({
    url: '/export/exportperformancereward',
    method: 'get',
    params: data
  })
}

// 导出门店奖励
export function exportStorePrice(data) {
  return request({
    url: '/export/exportstorereward',
    method: 'get',
    params: data
  })
}

// 导出战区销售额排行
export function exportWarRank(data) {
  return request({
    url: '/export/exportwareasalesresults',
    method: 'get',
    params: data
  })
}

// 导出皇冠代理团队业绩排行
export function exportCrownTeamPrice(data) {
  return request({
    url: '/export/exportcrownteamsalesresults',
    method: 'get',
    params: data
  })
}

// 导出皇冠团队新增代理人数
export function exportCrownTeamMember(data) {
  return request({
    url: '/export/exportcrownaddagentnum',
    method: 'get',
    params: data
  })
}

// 导出店铺业绩排行榜
export function exportStoreRank(data) {
  return request({
    url: '/export/exportstoresalesresults',
    method: 'get',
    params: data
  })
}

// 导出代理业绩排行榜
export function exportMemberRank(data) {
  return request({
    url: '/export/exportagentsalesresults',
    method: 'get',
    params: data
  })
}

